searchNodes=[{"doc":"A set of helpers for testing timer-based code, inspired by Jest.Why?Sometimes things need to be postponed. Whether it's calling a function or sending a message, Erlang's timer module has a function for that. However, this creates a haeadache when it comes to testing. Time-based test are often fragile, tricky to write and mocking timer with popular tools is even trickier.Postpone offers a solution for this problem. It allows a user to postpone certain actions, using trusted timer under the hood, but at the same time offers a way to mock and control timers inside test cases.UsageUse Postpone in your code:defmodule Foo do def send_me_a_greeting do Postpone.send_after(:hello, self(), 1000) end endThen test it:defmodule FooTest do use ExUnit.Case use Postpone.Mock test &quot;greeting&quot; do with_timers_mock do Foo.send_me_a_greeting() run_all_timers() assert_received :hello end end end","ref":"Postpone.html","title":"Postpone","type":"module"},{"doc":"Applies fun or fun in mod with args after time.","ref":"Postpone.html#apply_after/2","title":"Postpone.apply_after/2","type":"function"},{"doc":"Sends a msg to pid after time.","ref":"Postpone.html#send_after/3","title":"Postpone.send_after/3","type":"function"},{"doc":"","ref":"Postpone.Mock.html","title":"Postpone.Mock","type":"module"},{"doc":"","ref":"Postpone.Mock.html#advance_timers_by/1","title":"Postpone.Mock.advance_timers_by/1","type":"function"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"Postpone.Mock.html#child_spec/1","title":"Postpone.Mock.child_spec/1","type":"function"},{"doc":"","ref":"Postpone.Mock.html#run_all_timers/0","title":"Postpone.Mock.run_all_timers/0","type":"function"},{"doc":"","ref":"Postpone.Mock.html#set_timer_with_ref/2","title":"Postpone.Mock.set_timer_with_ref/2","type":"function"},{"doc":"","ref":"Postpone.Mock.html#with_timers_mock/1","title":"Postpone.Mock.with_timers_mock/1","type":"macro"},{"doc":"","ref":"Postpone.Mock.Server.html","title":"Postpone.Mock.Server","type":"module"},{"doc":"","ref":"Postpone.Mock.Server.html#advance_timers_by/1","title":"Postpone.Mock.Server.advance_timers_by/1","type":"function"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"Postpone.Mock.Server.html#child_spec/1","title":"Postpone.Mock.Server.child_spec/1","type":"function"},{"doc":"","ref":"Postpone.Mock.Server.html#drop/1","title":"Postpone.Mock.Server.drop/1","type":"function"},{"doc":"","ref":"Postpone.Mock.Server.html#reset/0","title":"Postpone.Mock.Server.reset/0","type":"function"},{"doc":"","ref":"Postpone.Mock.Server.html#run_all_timers/0","title":"Postpone.Mock.Server.run_all_timers/0","type":"function"},{"doc":"","ref":"Postpone.Mock.Server.html#set/3","title":"Postpone.Mock.Server.set/3","type":"function"},{"doc":"","ref":"Postpone.Mock.Server.html#start_link/1","title":"Postpone.Mock.Server.start_link/1","type":"function"},{"doc":"PostponeA set of helpers for testing timer-based code, inspired by Jest.","ref":"readme.html","title":"Postpone","type":"extras"},{"doc":"If available in Hex, the package can be installed by adding postpone to your list of dependencies in mix.exs:def deps do [ {:postpone, &quot;~&gt; 0.1.0&quot;} ] endDocumentation can be generated with ExDoc and published on HexDocs. Once published, the docs can be found at https://hexdocs.pm/postpone.","ref":"readme.html#installation","title":"Postpone - Installation","type":"extras"}]